std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >(3cxx)

NAME
std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >

SYNOPSIS

  Public Types

typedef std::ptrdiff_t difference_type
typedef std::forward_iterator_tag iterator_category
typedef basic_regex< _Ch_type, _Rx_traits > regex_type
typedef match_results< _Bi_iter > value_type

  Public Member Functions

regex_iterator ()
Provides a singular iterator, useful for indicating one-past-the-end of a range.
regex_iterator (_Bi_iter __a, _Bi_iter __b, const regex_type &__re, regex_constants::match_flag_type __m=regex_constants::match_default)
regex_iterator (_Bi_iter, _Bi_iter, const regex_type &&, regex_constants::match_flag_type=regex_constants::match_default)=delete
regex_iterator (const regex_iterator &__rhs)=default
bool operator!= (const regex_iterator &__rhs) const
Tests the inequivalence of two regex iterators.
const value_type & operator* () const
Dereferences a regex_iterator.
regex_iterator & operator++ ()
Increments a regex_iterator.
regex_iterator operator++ (int)
Postincrements a regex_iterator.
const value_type * operator-> () const
Selects a regex_iterator member.
regex_iterator & operator= (const regex_iterator &__rhs)=default
Assigns one regex_iterator to another.
bool operator== (const regex_iterator &__rhs) const
Tests the equivalence of two regex iterators.

  Public Attributes

const typedef value_type * pointer
const typedef value_type & reference

Detailed Description

  template<typename _Bi_iter, typename _Ch_type = typename iterator_traits<_Bi_iter>::value_type, typename _Rx_traits = regex_traits<_Ch_type>>
class std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >" An iterator adaptor that will provide repeated calls of regex_search over a range until no more matches remain.

Definition at line 2484 of file regex.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.